Bug 595 - Convert image(jpg,...) to svg
Summary: Convert image(jpg,...) to svg
Status: RESOLVED FIXED
Alias: None
Product: Libre-SOC's first SoC
Classification: Unclassified
Component: Documentation (show other bugs)
Version: unspecified
Hardware: PC Linux
: --- normal
Assignee: vklr@vkten.in
URL:
Depends on:
Blocks:
 
Reported: 2021-02-12 14:27 GMT by vklr@vkten.in
Modified: 2021-04-24 16:49 BST (History)
3 users (show)

See Also:
NLnet milestone: NLNet.2019.10.Wishbone
total budget (EUR) for completion of task and all subtasks: 200
budget (EUR) for this task, excluding subtasks' budget: 200
parent task for budget allocation: 384
child tasks for budget allocation:
The table of payments (in EUR) for this task; TOML format:
"vklr"={amount=200,paid=2021-03-27}


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vklr@vkten.in 2021-02-12 14:27:44 GMT
Convert images(jpeg, png, etc) to svg file format.

Started with https://libre-soc.org/3d_gpu/group_pick_rd_rel.jpg
Comment 1 Luke Kenneth Casson Leighton 2021-02-12 14:45:03 GMT
> If and when you add to wiki git please provide me instructions of how to use
> it.

https://libre-soc.org/HDL_workflow/
adapt git clone instructions to obtain this repo:
https://git.libre-soc.org/?p=libreriscv.git;a=summary

that's the git repo behind ikiwiki.

if you then "git add" the svg image into 3d_gpu/group_pick_rd_rel.svgi can take a look, see what it looks like, then you can update (edit) the 6600scoreboard.mdwn
page to reference the svg image instead.
Comment 2 vklr@vkten.in 2021-02-13 08:21:07 GMT
I have cloned the repo.

I already know how to use git and do git-format-patch.
Have read a little about git push to outside repo's.

Can I have the git key.
Comment 3 Luke Kenneth Casson Leighton 2021-02-13 09:33:42 GMT
(In reply to vklr@vkten.in from comment #2)
> I have cloned the repo.

using the url gitolite3@libre-soc.org:libreriscv.git?
 
> I already know how to use git and do git-format-patch.

we are not using git-format-patch

> Have read a little about git push to outside repo's.

great.  then run the command (as long as you have cloned using the url above)

> Can I have the git key.

nobody gives you your private ssh key and there is no such thing as a "git key".

your *PUBLIC* ssh key net-lr@lily has already been added.
Comment 4 vklr@vkten.in 2021-02-17 02:23:49 GMT
I successfully cloned the repository using git ssh.

Have pushed the svg file - 3d_gpu/group_pick_rd_rel.svg.

See if it is okay.

And further work?
Comment 5 Luke Kenneth Casson Leighton 2021-02-17 19:56:16 GMT
ha, right, sorry, i should have been clearer.  rather than embed the JPEG into SVG, actually redraw the image *in* SVG.

the "distinctive" symbols (not rectangular) can be used from here:

https://en.wikipedia.org/wiki/Logic_gate#Symbols

colouring is not important.

yes do use inkscape
Comment 6 vklr@vkten.in 2021-02-23 15:18:59 GMT
Changed the jpeg imported data in svg with a hand made one using Inkscape.

https://libre-soc.org/3d_gpu/group_pick_rd_rel.svg

Updated this page to use the new svg image.
https://libre-soc.org/3d_gpu/architecture/6600scoreboard/

Is some budget going to be allocated for this works.
Comment 7 Luke Kenneth Casson Leighton 2021-02-23 15:53:42 GMT
that looks fantastic.  yes of course.  we have a documentation budget.  i need to track down the parent, or if you can search and find it (under Wishbone NLnet)
Comment 8 vklr@vkten.in 2021-02-23 16:16:32 GMT
Bug 384 - Documentation for the Libre-SOC POWER9 Core and internal architecture

Bug 175 - NLNet 2019 Wishbone proposal 2019-10-043
Comment 9 vklr@vkten.in 2021-02-23 17:04:42 GMT
Give me next work.
Comment 10 vklr@vkten.in 2021-03-05 09:54:44 GMT
Drawed shadow.svg from jpg one.

https://libre-soc.org/3d_gpu/shadow.svg

Updated web page to include new one.

https://libre-soc.org/3d_gpu/architecture/6600scoreboard/
https://libre-soc.org/3d_gpu/architecture/6600scoreboard/discussion.mdwn

Tell about payment.
Comment 11 vklr@vkten.in 2021-03-08 00:17:29 GMT
Can I get payment for my work on two previous images.

Do give me next image to work.
Comment 12 Luke Kenneth Casson Leighton 2021-03-08 00:33:05 GMT
yes, this is excellent quality work.  we have to send an RFP to NLnet i will draft one for you.  it takes around 2 weeks